<?xml version="1.0"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns="http://www.bidib.org/schema/decoderCv/1.0" xmlns:ct="http://www.bidib.org/schema/commonTypes/1.0" 
xmlns:MoExt="urn:MoExt" exclude-result-prefixes="MoExt" >
	<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:output method="xml" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="DecoderCV">
		<decoderCv>
			<version>
				<xsl:attribute name="lastUpdate">
					<xsl:value-of select="MoExt:NewDateTime()"/>
				</xsl:attribute>
				<xsl:attribute name="created">
					<xsl:value-of select="MoExt:NewDate()"/>
				</xsl:attribute>
			</version>
			<decoder>
				<xsl:attribute name="name">
					<xsl:value-of select="Decoder"/>
				</xsl:attribute>
				<xsl:attribute name="manufacturerId">
					<xsl:value-of select="Decoder/@VendorID"/>
				</xsl:attribute>
			</decoder>
		<cvs>
			<xsl:for-each select="CVList/CV">				
				<cv>
				<xsl:attribute name="number">
					<xsl:value-of select="."/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="@Value"/>
				</xsl:attribute>
				</cv>
			</xsl:for-each>
		</cvs>
</decoderCv>
	</xsl:template>
</xsl:stylesheet>
