<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.bidib.org/schema/monitor/configuration/1.1"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:variable name="smallcase"
	              select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase"
	              select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:output method="xml"
	            indent="yes"
	            encoding="utf-8" />
	<xsl:template match="Config">
		<monitorConfiguration >
			<decoderManagementConfiguration>
				<xsl:attribute name="checkForUpdatesOnStartup">
					<xsl:value-of select="translate(Parameter[@Name='CheckForUpdatesOnStartUp']/@Value, $uppercase,$smallcase)"/>
				</xsl:attribute>
				<xsl:attribute name="decoderDbStatusUrl">
					<xsl:value-of select="Parameter[@Name='DecoderDbStatusUrl']/@Value"/>
				</xsl:attribute>
				<xsl:attribute name="decoderDbAuthorization">
					<xsl:value-of select="Parameter[@Name='DecoderDbAuthorization']/@Value"/>
				</xsl:attribute>
				<xsl:attribute name="proxyAddress">
					<xsl:value-of select="Parameter[@Name='ProxyAddress']/@Value"/>
				</xsl:attribute>
			</decoderManagementConfiguration>
		</monitorConfiguration>
	</xsl:template>
</xsl:stylesheet>