<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:old="http://www.bidib.org/schema/monitor/configuration/1.0" xmlns="http://www.bidib.org/schema/monitor/configuration/1.1" exclude-result-prefixes="old" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="yes" encoding="utf-8"/>
	<xsl:template match="/">
		<monitorConfiguration>
			<xsl:apply-templates/>
		</monitorConfiguration>
	</xsl:template>
	<xsl:template match="old:globalConfiguration">
		<globalConfiguration>
			<xsl:for-each select="@*">
				<xsl:choose>
					<!-- skip obsolete attributes -->
					<xsl:when test="name()='simulationMode'"/>
					<xsl:when test="name()='wizardDataDirectory'"/>
					<!-- modify attributes -->
					<xsl:when test="name()='extendedMode'">
						<xsl:attribute name="devMode"><xsl:value-of select="."/></xsl:attribute>
					</xsl:when>
					<xsl:when test="name()='udpHostAddress'">
						<xsl:attribute name="networkHostAddress"><xsl:value-of select="."/></xsl:attribute>
					</xsl:when>
					<xsl:when test="name()='serialPort'">
						<xsl:attribute name="serialPort"><xsl:value-of select="translate(., $smallcase, $uppercase)"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<!-- copy rest -->
						<xsl:copy/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<!-- check for former optionals, set defaults -->
			<xsl:if test="not(@nodeTabWaitTime)">
				<xsl:attribute name="nodeTabWaitTime">1500</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@sendDccToAll)">
				<xsl:attribute name="sendDccToAll">false</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@boosterAndDccOff)">
				<xsl:attribute name="boosterAndDccOff">true</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@resetNodesTreeOnDisconnect)">
				<xsl:attribute name="resetNodesTreeOnDisconnect">true</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@initSpeedToZero)">
				<xsl:attribute name="initSpeedToZero">false</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@watchdogActive)">
				<xsl:attribute name="watchdogActive">true</xsl:attribute>
			</xsl:if>
		</globalConfiguration>
	</xsl:template>
</xsl:stylesheet>
