<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:old="http://www.bidib.org/schema/monitor/configuration/1.5" xmlns="http://www.bidib.org/schema/monitor/configuration/1.6" exclude-result-prefixes="old" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="yes" encoding="utf-8"/>
	<xsl:template match="/">
		<monitorConfiguration>
			<xsl:apply-templates/>
		</monitorConfiguration>
	</xsl:template>
	<xsl:template match="old:globalConfiguration">
		<globalConfiguration>
			<xsl:choose>
				<xsl:when test="not(@configVersion) or number(@configVersion) &lt; 8">
					<xsl:for-each select="@*">
						<xsl:choose>
							<xsl:when test="name()='configVersion'">
								<xsl:attribute name="configVersion">8</xsl:attribute>
							</xsl:when>
							<xsl:when test="name()='networkPortNumber'">
								<xsl:attribute name="networkPortNumber">62800</xsl:attribute>
							</xsl:when>
							<xsl:when test="name()='nodeFirmwareRepositoryUpdateUrl'">
								<xsl:attribute name="nodeFirmwareRepositoryUpdateUrl">https://repository.bidib.org/repository.json</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<!-- copy rest -->
								<xsl:copy/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="@*">
						<xsl:copy/>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="not(@configVersion)">
				<xsl:attribute name="configVersion">8</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@netBiDiBHostAddress)">
				<xsl:attribute name="netBiDiBHostAddress">
					<xsl:value-of select="@networkHostAddress"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="not(@netBiDiBPortNumber)">
				<xsl:attribute name="netBiDiBPortNumber">62875</xsl:attribute>
			</xsl:if>
		</globalConfiguration>
	</xsl:template>
</xsl:stylesheet>
