<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:old="http://www.bidib.org/schema/userDevices/1.0"
                xmlns="http://www.bidib.org/schema/userDevices/1.1"
                exclude-result-prefixes="old"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:variable name="smallcase"
	              select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase"
	              select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml"
	            indent="yes"
	            encoding="utf-8"/>
				
	<xsl:template match="/">
		<userDevicesList>
			<xsl:apply-templates/>
		</userDevicesList>
	</xsl:template>
	
	<xsl:template match="old:version">
		<version>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</version>
	</xsl:template>
	
	<xsl:template match="old:userDevices">
		<userDevices>
			<xsl:apply-templates/>
		</userDevices>
	</xsl:template>
	
	<xsl:template match="old:userDevice">
		<userDevice>
			<xsl:for-each select="@*">	
				<xsl:choose>
					<xsl:when test="name()='purchaseDate'">
						<xsl:attribute name="purchaseDate">
							<xsl:value-of select="substring-before(.,'T')"/>
						</xsl:attribute>
					</xsl:when>	
					<xsl:otherwise>
						<!-- copy all -->
						<xsl:copy/>
					</xsl:otherwise>	
				</xsl:choose>
			</xsl:for-each>
			<xsl:apply-templates/>
		</userDevice>
	</xsl:template>
	
	<xsl:template match="old:decoder">
		<decoder>
			<xsl:for-each select="@*">				
				<!-- copy all -->
				<xsl:copy/>
			</xsl:for-each>
		</decoder>
	</xsl:template>

</xsl:stylesheet>
